/*
 *2013-09-25
 *Program 3
 *Bradley Forney
 *CIS 127
 *Professor: Craig Sharp
 * 
*/


/**
 *CIS127: Object-Oriented Programming I
 *
 *Project Specification
 *
 *Description:
 *You have been contacted by a local veterinarian to create a Customer Management System. Over this course, 
  *you will build this system in phases. After the second programming assignment, you will have three classes: 
 *
 *The purpose of this project is to expose you to classes, objects, methods, collections, and their interactions. 
 *In addition, the assignment will provide you with the experience of building a complete OO program while 
 *providing an opportunity to learn proper programming style.
 *
 *Procedure:
 *Starting with your implementation of Program 2, create a program that allows a veterinarian to maintain a list 
 *of pets and owners. The veterinarian must be able to insert and remove pets and owners, list all pets and owners, 
 *search for pets by owner or veterinarian, search for owners by pet, and search for all pets/owners that are their 
 *patients.
 *
 *After you have created the classes, create a small program that instantiates 2 pets with the same owner, and 
 *another pet with a different owner. The program should print the pets and owners to the screen.
 *
 *
 *Deliverables:
 *The source files for your program along with documentation generated using JavaDoc. 
 *
 *
 *
 * @author bforney
 */
 
 
import java.util.Scanner;
import java.util.ArrayList; //Allows for ArrayList type to be used. Used for dynamically expanding arrays needed to track order here
 
/**
 *
 * @author bforney_admin
 */
public class VetApp {

    /**
     * @author Bradley Forney
     * 
     * @param args the command line arguments
     */
    public static void main(String[] args) {
		/*Begin template for getting stuff done
			//GETTERS
				petObject.getPetName(index);
				petObject.getPetType(index);
				petObject.getPetAssociation(index);
				petObject.getOwnerAssociation(index);
				petObject.getVetAssociation(index);
				ownerObject.getOwnerFirstName(index);
				ownerObject.getOwnerLastName(index);
				ownerObject.getOwnerEmailAddress(index);
				ownerObject.getOwnerPhoneNumber(index);
				vetTechObject.getVetTechFirstName(index);
				vetTechObject.getVetTechLastName(index);
			//GET SIZE
				petObject.getSizePetName();
				petObject.getSizePetType();
				petObject.getSizePetAssociation();
				petObject.getSizeOwnerAssociation();
				petObject.getSizeVetAssociation();
				ownerObject.getSizeOwnerFirstName();
				ownerObject.getSizeOwnerLastName();
				ownerObject.getSizeOwnerEmailAddress();
				ownerObject.getSizeOwnerPhoneNumber();
				vetTechObject.getSizeVetTechFirstName();
				vetTechObject.getSizeVetTechLastName();
			//ADD NEW
				petObject.setNewPetName(petName);
				petObject.setNewPetType(petType);
				petObject.setNewPetAssociation(petAssociation);
				petObject.setNewOwnerAssociation(ownerAssociation);
				petObject.setNewVetAssociation(vetAssociation);
				ownerObject.setNewOwnerFirstName(ownerFirstName);
				ownerObject.setNewOwnerLastName(ownerLastName);
				ownerObject.setNewOwnerEmailAddress(ownerEmailAddress);
				ownerObject.setNewOwnerPhoneNumber(ownerPhoneNumber);
				vetTechObject.setNewVetTechFirstName(vetTechFirstName);
				vetTechObject.setNewVetTechLastName(vetTechLastName);
			//MODIFY
				petObject.modifyPetName(index, petName);
				petObject.modifyPetType(index, petType);
				petObject.modifyPetAssociation(index, petAssociation);
				petObject.modifyOwnerAssociation(index, ownerAssociation);
				petObject.modifyVetAssociation(index, vetAssociation);
				ownerObject.modifyOwnerFirstName(index, ownerFirstName);
				ownerObject.modifyOwnerLastName(index, ownerLastName);
				ownerObject.modifyOwnerEmailAddress(index, ownerEmailAddress);
				ownerObject.modifyOwnerPhoneNumber(index, ownerPhoneNumber);
				vetTechObject.modifyVetTechFirstName(index, vetTechFirstName);
				vetTechObject.modifyVetTechLastName(index, vetTechLastName);
			//DELETE
				petObject.deletePetName(index);
				petObject.deletePetType(index);
				petObject.deletePetAssociation(index);
				petObject.deleteOwnerAssociation(index);
				petObject.deleteVetAssociation(index);
				ownerObject.deleteOwnerFirstName(index);
				ownerObject.deleteOwnerLastName(index);
				ownerObject.deleteOwnerEmailAddress(index);
				ownerObject.deleteOwnerPhoneNumber(index);
				vetTechObject.deleteVetTechFirstName(index);
				vetTechObject.deleteVetTechLastName(index);
		End template for getting stuff done*/
		
		Scanner keyboard = new Scanner(System.in);
		
		//Variables
		int index=0;//Used for telling location within arrays in objects
		int choice=-1;
		int max=0;
		String entry="";
		int petAssociation=-1;
		int ownerAssociation=-1;
		int vetAssociation=-1;
		
		Pet petObject = new Pet();
		Owner ownerObject = new Owner();
		VetTech vetTechObject = new VetTech();
		
		//Main Menu	
		while(choice!=0)
		{
			choice=-1; //resets choice
			while(choice<0 || choice>6)
			{

				System.out.println("------------------------------------------------------");
				System.out.println("Please choose which action to perform (type 0-6 only):");
				System.out.println("1) List entries");
				System.out.println("2) New entry");
				System.out.println("3) Modify entry");
				System.out.println("4) Delete entry");
				System.out.println("5) Search for Pet, Owner, or Vet");
				System.out.println("6) Assign Owner or Vet to Pet");
				System.out.println("0) Quit");
				choice=keyboard.nextInt();
				if(choice<0 || choice>6)
				{
					System.out.println("Learn to type, sucka!");
				}
			}
			switch(choice)
			{	
				case 0:
					System.out.println("Goodbye!");
					break;
				case 1:
					System.out.println("-----List entries-----");
					choice=-1; //resets choice
					while(choice!=0)
					{
						choice=-1; //resets choice
						while(choice<0 || choice>5)
						{
							System.out.println("	1) List all pets");
							System.out.println("	2) List all owners");
							System.out.println("	3) List all vets");
							System.out.println("	4) List all owners and associated pets");
							System.out.println("	5) List all owners and associated pets with their respective vets");
							System.out.println("	0) Exit this menu");
							System.out.println("	*To list a specific owner, pet, or vet use the Search feature");
							choice=keyboard.nextInt();
							switch (choice)
							{
								case 0:
									break;
								case 1:
									System.out.println("---List all pets---");
									ListAllPets();
									break;
								case 2:
									System.out.println("---List all owners---");
									ListAllOwners();
									break;	
								case 3:
									System.out.println("---List all vets---");
									ListAllVets();
									break;
								case 4:
									System.out.println("---List all owners and associated pets---");
									ListAllOwnersAndPets();
									break;
								case 5:
									System.out.println("---List all owners and associated pets with their respective vets---");
									ListAll();
									break;	
								default:
									System.out.println("Whoopsiedaisy");
									break;
							}
						}
					}
					choice=-1; //resets choice 
					break;
				case 2:
					System.out.println("-----New entry-----");
					choice=-1; //resets choice
					while(choice!=0)
					{
						choice=-1; //resets choice
						while(choice<0 || choice>3)
						{
							System.out.println("	1) New pet");
							System.out.println("	2) New owner");
							System.out.println("	3) New vet");
							System.out.println("	0) Exit this menu");
							choice=keyboard.nextInt();
							
							switch (choice)
							{
								case 0:
									break;
								case 1:
									System.out.println("---New pet---");
									NewPet();
									break;
								case 2:
									System.out.println("---New owner---");
									NewOwner();
									break;	
								case 3:
									System.out.println("---New vet---");
									NewVetTech();
									break;
								default:
									System.out.println("Whoopsiedaisy");
									break;
							}
						}
					}
					choice=-1; //resets choice 
					break;
				case 3:
					System.out.println("-----Modify entry-----");
					choice=-1; //resets choice
					while(choice!=0)
					{
						choice=-1; //resets choice
						while(choice<0 || choice>5)
						{
							System.out.println("	1) Modify pet");
							System.out.println("	2) Modify owner");
							System.out.println("	3) Modify vet");
							System.out.println("	0) Exit this menu");
							choice=keyboard.nextInt();
							switch (choice)
							{
								case 0:
									break;
								case 1:
									System.out.println("---Modify pet---");
																		
									choice=-1; //resets choice
									max=petObject.getSizePetName();
									max--;
									while((choice<0 || choice>max) && max!=-1)
									{
										ListAllPets();
										System.out.println("	Which pet do you want to modify?(0-"+max+"only!)");
										choice=keyboard.nextInt();										
									}
									index=choice;
									choice=-1;
									if (max!=-1)
									{
										while(choice<0 || choice>2)
										{
											System.out.println("		1) Modify pet name");
											System.out.println("		2) Modify type");
											System.out.println("		0) Exit this menu");
											choice=keyboard.nextInt();	
										}
										ModifyPet(index,choice);
									}
									else
									{
										System.out.println("No entries!");
									}
									break;
								case 2:
									System.out.println("---Modify owner---");
																		
									choice=-1; //resets choice
									max=ownerObject.getSizeOwnerFirstName();
									max--;
									while((choice<0 || choice>max) && max!=-1)
									{
										ListAllOwners();
										System.out.println("	Which owner do you want to modify?(0-"+max+"only!)");
										choice=keyboard.nextInt();										
									}
									index=choice;
									choice=-1;
									
									if (max!=-1)
									{
										while(choice<0 || choice>4)
										{
											System.out.println("	1) Modify owner first name");
											System.out.println("	2) Modify owner last name");
											System.out.println("	3) Modify owner email address");
											System.out.println("	4) Modify owner phone number");
											System.out.println("	0) Exit this menu");
											choice=keyboard.nextInt();	
										}
										ModifyOwner(index,choice);
									}
									else
									{
										System.out.println("No entries!");
									}
									break;	
								case 3:
									System.out.println("-----Modify vet-----");
																		
									choice=-1; //resets choice
									max=vetTechObject.getSizeVetTechFirstName();
									max--;
									while((choice<0 || choice>max) && max!=-1)
									{
										ListAllVets();
										System.out.println("	Which vet do you want to modify?(0-"+max+"only!)");
										choice=keyboard.nextInt();										
									}
									index=choice;
									choice=-1;
									if (max!=-1)
									{
										while(choice<0 || choice>2)
										{
											System.out.println("	1) Modify vet first name");
											System.out.println("	2) Modify vet last name");
											System.out.println("	0) Exit this menu");
											choice=keyboard.nextInt();	
										}
										ModifyVetTech(index,choice);
									}
									else
									{
										System.out.println("No entries!");
									}
									break;
								default:
									System.out.println("Whoopsiedaisy");
									break;
							}
						}
					}
					choice=-1; //resets choice 
					break;
				case 4:
					System.out.println("-----Delete entry-----");
					choice=-1; //resets choice
					while(choice!=0)
					{
						choice=-1; //resets choice
						while(choice<0 || choice>3)
						{
							System.out.println("	1) Delete pet");
							System.out.println("	2) Delete owner");
							System.out.println("	3) Delete vet");
							System.out.println("	0) Exit this menu");
							choice=keyboard.nextInt();
							
							switch (choice)
							{
								case 0:
									break;
								case 1:
									System.out.println("---Delete pet---");
									choice=-1; //resets choice
									max=petObject.getSizePetName();
									max--;
									
									while((choice<0 || choice>max) && max!=-1)
									{
										ListAllPets();
										System.out.println("	Which pet do you want to delete?(0-"+max+"only!)");
										choice=keyboard.nextInt();										
									}
									if (max!=-1)
									{
										DeletePet(choice);
									}
									else
									{
										System.out.println("No entries!");
									}
									break;
								case 2:
									System.out.println("---Delete owner---");
									choice=-1; //resets choice
									max=ownerObject.getSizeOwnerFirstName();
									max--;
									while((choice<0 || choice>max) && max!=-1)
									{
										ListAllOwners();
										System.out.println("	Which owner do you want to delete?(0-"+max+"only!)");
										choice=keyboard.nextInt();										
									}
									if (max!=-1)
									{
										DeleteOwner(choice);
									}
									else
									{
										System.out.println("No entries!");
									}
									break;
								case 3:
									System.out.println("---Delete vet---");
									choice=-1; //resets choice
									max=vetTechObject.getSizeVetTechFirstName();
									max--;
									while((choice<0 || choice>max) && max!=-1)
									{
										ListAllVets();
										System.out.println("	Which vet do you want to delete?(0-"+max+"only!)");
										choice=keyboard.nextInt();										
									}
									if (max!=-1)
									{
										DeleteVetTech(choice);										
									}
									else
									{
										System.out.println("No entries!");
									}
									break;
								default:
									System.out.println("Whoopsiedaisy");
									break;
							}
						}
					}
					choice=-1; //resets choice 
					break;
				case 5:
					System.out.println("-----Search for Pet, Owner, or Vet-----");
					choice=-1; //resets choice
					while(choice!=0)
					{
						choice=-1; //resets choice
						while(choice<0 || choice>3)
						{
							System.out.println("	1) Search pet");
							System.out.println("	2) Search owner");
							System.out.println("	3) Search vet");
							System.out.println("	0) Exit this menu");
							choice=keyboard.nextInt();
							
							switch (choice)
							{
								case 0:
									break;
								case 1:
									choice=-1;
									while(choice<0 || choice>2)
									{
										System.out.println("		1) Search by pet name");
										System.out.println("		2) Search by pet type");
										choice=keyboard.nextInt();
									}
									System.out.print("Search string: ");
									keyboard.nextLine();
									entry=keyboard.nextLine();
									SearchPets(choice, entry);
									break;
								case 2:
									choice=-1;
									while(choice<0 || choice>4)
									{
										System.out.println("		1) Search by owner first name");
										System.out.println("		2) Search by owner last name");
										System.out.println("		3) Search by owner email");
										System.out.println("		4) Search by owner phone");
										choice=keyboard.nextInt();
									}
									System.out.print("Search string: ");
									keyboard.nextLine();
									entry=keyboard.nextLine();
									SearchOwners(choice, entry);
									break;
								case 3:
									choice=-1;
									while(choice<0 || choice>2)
									{
										System.out.println("		1) Search by vet first name");
										System.out.println("		2) Search by vet last name");
										System.out.println("		0) Exit this menu");
										choice=keyboard.nextInt();
									}
									System.out.print("Search string: ");
									keyboard.nextLine();
									entry=keyboard.nextLine();
									SearchVets(choice, entry);
									break;
								default:
									System.out.println("Whoopsiedaisy");
									break;
							}
						}
					}
					choice=-1; //resets choice 
					break;
				case 6:
					System.out.println("------Assign Owner or Vet to Pet-----");
					choice=-1; //resets choice
					while(choice!=0)
					{
						choice=-1; //resets choice
						max=petObject.getSizePetName();
						max--;
						while((choice<0 || choice>max) && max!=-1)
						{
							ListAllPets();
							System.out.println("	Which pet do you want to create association for?(0-"+max+"only!)");
							System.out.println("	(exit in next menu)");
							choice=keyboard.nextInt();										
						}
						petAssociation=choice;
						
						choice=-1;
						while((choice<0 || choice>2)&& max!=-1)
						{
							System.out.println("	1) Associate owner to pet");
							System.out.println("	2) Associate vet to pet");
							System.out.println("	0) Exit this menu");
							choice=keyboard.nextInt();										
						}
					
						switch (choice)
						{
							case 1:
								choice=-1;
								max=ownerObject.getSizeOwnerFirstName();
								max--;
								while((choice<0 || choice>max) && max!=-1)
								{
									ListAllOwners();
									System.out.println("	Which owner do you want to associate with "+petObject.getPetName(petAssociation)+" the "+petObject.getPetType(petAssociation)+"? (0-"+max+"only!)");
									choice=keyboard.nextInt();										
								}
								if (max!=-1)
								{
									ownerAssociation=choice;
									petObject.modifyOwnerAssociation(petAssociation, ownerAssociation);
									choice=-1;
								}
								else
								{
									System.out.println("No owner entries!");
								}
								break;
							case 2:
								choice=-1;
								max=vetTechObject.getSizeVetTechFirstName();
								max--;
								while((choice<0 || choice>max) && max!=-1)
								{
									ListAllVets();
									System.out.println("	Which vet do you want to associate with "+petObject.getPetName(petAssociation)+" the "+petObject.getPetType(petAssociation)+"? (0-"+max+"only!)");
									choice=keyboard.nextInt();										
								}						
								if (max!=-1)
								{
									vetAssociation=choice;
									petObject.modifyVetAssociation(petAssociation, vetAssociation);
									choice=-1;
								}
								else
								{
									System.out.println("No vet entries!");
								}
								break;	
							default:
								System.out.println("No pet entries!");
								choice=0;
								break;
							
						}
					}
					choice=-1; //resets choice 
					break;
				default:
					//DEFAULT
			}
		}


		System.out.println("\n---------------------------");
		System.out.println("We hope you enjoyed your program experience!");
		

    }
	

//Action: List Entries
	/**
     *Lists all pets
     */
    public static void ListAllPets()
	{
		Pet petObject = new Pet();
		System.out.println("\n---------------------------");
		for (int index=0; index<petObject.getSizePetName(); index++)
		{
			System.out.println(index+") "+petObject.getPetName(index)+" the "+petObject.getPetType(index));
		}
		System.out.println("---------------------------");
	}
	/**
     *Lists all owners
     */
    public static void ListAllOwners()
	{
		Owner ownerObject = new Owner();
		System.out.println("\n---------------------------");
		for (int index=0; index<ownerObject.getSizeOwnerFirstName(); index++)
		{
			System.out.println(index+") "+ownerObject.getOwnerFirstName(index)+" "+ownerObject.getOwnerLastName(index)+", "+ownerObject.getOwnerEmailAddress(index)+", "+ownerObject.getOwnerPhoneNumber(index));
		}
		System.out.println("---------------------------");
	}
	/**
     *Lists all vets
     */
    public static void ListAllVets()
	{
		VetTech vetTechObject = new VetTech();
		System.out.println("\n---------------------------");
		for (int index=0; index<vetTechObject.getSizeVetTechFirstName(); index++)
		{
			System.out.println(index+") "+vetTechObject.getVetTechFirstName(index)+" "+vetTechObject.getVetTechLastName(index));
		}
		System.out.println("---------------------------");
	}
	/**
     *Lists all owners and their pets
     */
    public static void ListAllOwnersAndPets()
	{
		Owner ownerObject = new Owner();
		Pet petObject = new Pet();
		int petAssociation;
		int ownerAssociation;
		int vetAssociation;
		
		System.out.println("\n---------------------------");
		for (int index=0; index<ownerObject.getSizeOwnerFirstName(); index++)
		{
			System.out.println(index+") "+ownerObject.getOwnerFirstName(index)+" "+ownerObject.getOwnerLastName(index)+", "+ownerObject.getOwnerEmailAddress(index)+", "+ownerObject.getOwnerPhoneNumber(index));
			for (int index2=0;	index2<petObject.getSizePetAssociation(); index2++)
			{
				if(petObject.getOwnerAssociation(index2)==index)
				{
					System.out.println("---"+index2+") "+petObject.getPetName(index2)+" is a "+petObject.getPetType(index2)+".");
				}	
			}
		}
		System.out.println("---------------------------");
	}
	/**
     *Lists all owners and their pets with their respective vets
     */
    public static void ListAll()
	{
		Owner ownerObject = new Owner();
		Pet petObject = new Pet();
		VetTech vetTechObject = new VetTech();
		int petAssociation;
		int ownerAssociation;
		int vetAssociation;
		int index3;
		
		System.out.println("\n---------------------------");
		for (int index=0; index<ownerObject.getSizeOwnerFirstName(); index++)
		{
			System.out.println(index+") "+ownerObject.getOwnerFirstName(index)+" "+ownerObject.getOwnerLastName(index)+", "+ownerObject.getOwnerEmailAddress(index)+", "+ownerObject.getOwnerPhoneNumber(index));
			for (int index2=0;	index2<petObject.getSizePetAssociation(); index2++)
			{
				if(petObject.getOwnerAssociation(index2)==index)
				{
					System.out.println("---"+index2+") "+petObject.getPetName(index2)+" is a "+petObject.getPetType(index2)+".");
					
					index3=petObject.getVetAssociation(index2);
					if (index3!=-1)
					{
						System.out.println("-----"+index3+") "+vetTechObject.getVetTechFirstName(index3)+" "+vetTechObject.getVetTechLastName(index3)+".");
					}
				}
					
			}
		}
		System.out.println("---------------------------");
	}

//Action: New Entry
	/**
     *Add new pet
     */
    public static void NewPet()
	{
		Pet petObject = new Pet();
		petObject.setNewPetName();
		petObject.setNewPetType();
		int index=petObject.getSizePetName();
		index--;
		System.out.println("Results: "+petObject.getPetName(index)+" is a "+petObject.getPetType(index));
		petObject.setNewPetAssociation(index);
		petObject.setNewOwnerAssociation();
		petObject.setNewVetAssociation();
	}
	
	/**
     *Add new owner
     */
    public static void NewOwner()
	{
		Owner ownerObject = new Owner();
		ownerObject.setNewOwnerFirstName();
		ownerObject.setNewOwnerLastName();
		ownerObject.setNewOwnerEmailAddress();
		ownerObject.setNewOwnerPhoneNumber();
		int index=ownerObject.getSizeOwnerFirstName();
		index--;
		System.out.println("\tOwner:");
		System.out.println(ownerObject.getOwnerFirstName(index)+" "+ownerObject.getOwnerLastName(index));
		System.out.println(ownerObject.getOwnerEmailAddress(index));
		System.out.println(ownerObject.getOwnerPhoneNumber(index));
	}

	/**
     *Add new vet tech
     */
    public static void NewVetTech()
	{		
		VetTech vetTechObject = new VetTech();
		vetTechObject.setNewVetTechFirstName();
		vetTechObject.setNewVetTechLastName();
		int index = vetTechObject.getSizeVetTechFirstName();
		index--;
		System.out.println("Vet Name:"+vetTechObject.getVetTechFirstName(index)+" "+vetTechObject.getVetTechLastName(index));
		
	}

	
//Action: Modify Entry
	/**
     * Modify pet entry
     * @param index
     * @param choice
     */
    public static void ModifyPet(int index,int choice)
	{
		Pet petObject = new Pet();
		Scanner keyboard = new Scanner(System.in);
		String entry;
		switch (choice)
		{
			case 0:
				break;
			case 1:
				System.out.println("New name of pet: ");
				entry=keyboard.nextLine();
				petObject.modifyPetName(index, entry);
				break;
			case 2:
				System.out.println("New type of pet: ");
				entry=keyboard.nextLine();
				petObject.modifyPetType(index, entry);
				break;
			default:
				//DEFAULT
		}
	}
	/**
     * Modify owner entry
     * @param index
     * @param choice
     */
    public static void ModifyOwner(int index,int choice)
	{
		Owner ownerObject = new Owner();
		Scanner keyboard = new Scanner(System.in);
		String entry;
		switch (choice)
		{
			case 0:
				break;
			case 1:
				System.out.println("First name of owner: ");
				entry=keyboard.nextLine();
				ownerObject.modifyOwnerFirstName(index, entry);
				break;
			case 2:
				System.out.println("Last name of owner: ");
				entry=keyboard.nextLine();
				ownerObject.modifyOwnerLastName(index, entry);
				break;
			case 3:
				System.out.println("Email address of owner: ");
				entry=keyboard.nextLine();
				ownerObject.modifyOwnerEmailAddress(index, entry);
				break;
			case 4:
				System.out.println("Phone number of owner: ");
				entry=keyboard.nextLine();
				ownerObject.modifyOwnerPhoneNumber(index, entry);
				break;
			default:
				//DEFAULT
		}		
	}
	/**
     * Modify vet entry
     * @param index
     * @param choice
     */
    public static void ModifyVetTech(int index,int choice)
	{
		VetTech vetTechObject = new VetTech();
		Scanner keyboard = new Scanner(System.in);
		String entry;
		switch (choice)
		{
			case 0:
				break;
			case 1:
				System.out.println("First name of vet: ");
				entry=keyboard.nextLine();
				vetTechObject.modifyVetTechFirstName(index, entry);
				break;
			case 2:
				System.out.println("Last name of vet ");
				entry=keyboard.nextLine();
				vetTechObject.modifyVetTechLastName(index, entry);
				break;
			default:
				//DEFAULT
		}		
	}

	
//Action: Delete Entry
	/**
     * Delete pet entry
     * @param index
     */
    public static void DeletePet(int index)
	{
		Pet petObject = new Pet();
		petObject.deletePetName(index);
		petObject.deletePetType(index);
	}

	/**
     * Delete owner entry
     * @param index
     */
    public static void DeleteOwner(int index)
	{
		Owner ownerObject = new Owner();
		ownerObject.deleteOwnerFirstName(index);
		ownerObject.deleteOwnerLastName(index);
		ownerObject.deleteOwnerEmailAddress(index);
		ownerObject.deleteOwnerPhoneNumber(index);
	}

	/**
     * Delete vet entry
     * @param index
     */
    public static void DeleteVetTech(int index)
	{	
		VetTech vetTechObject = new VetTech();
		vetTechObject.deleteVetTechFirstName(index);
		vetTechObject.deleteVetTechLastName(index);
	}
	
//Action: Search Entry
	/**
     * Search pet entries
     * @param choice
     * @param entry
     */
    public static void SearchPets(int choice, String entry)
	{
		Pet petObject = new Pet();
		Scanner keyboard = new Scanner(System.in);
		String value;
 		
		System.out.println("\n---------------------------");
		for (int index=0; index<petObject.getSizePetName(); index++)
		{		
			switch (choice)
			{
			case 0:
				break;	
			case 1:
				value=petObject.getPetName(index);
				if (value.equalsIgnoreCase(entry))
				{
					System.out.println(index+") "+petObject.getPetName(index)+" the "+petObject.getPetType(index));
				}
				break;
			case 2:
				value=petObject.getPetType(index);
				if (value.equalsIgnoreCase(entry))
				{
					System.out.println(index+") "+petObject.getPetName(index)+" the "+petObject.getPetType(index));
				}
			default:
				break;
			}
		}
		System.out.println("---------------------------");
	}
	
	/**
     * Search owner entries
     * @param choice
     * @param entry
     */
    public static void SearchOwners(int choice, String entry)
	{
		Owner ownerObject = new Owner();
		Scanner keyboard = new Scanner(System.in);
		String value;
 		
		System.out.println("\n---------------------------");
		for (int index=0; index<ownerObject.getSizeOwnerFirstName(); index++)
		{		
			switch (choice)
			{
			case 0:
				break;	
			case 1:
				value=ownerObject.getOwnerFirstName(index);
				if (value.equalsIgnoreCase(entry))
				{
					System.out.println(index+") "+ownerObject.getOwnerFirstName(index)+" "+ownerObject.getOwnerLastName(index)+", "+ownerObject.getOwnerEmailAddress(index)+", "+ownerObject.getOwnerPhoneNumber(index));
				}
				break;
			case 2:
				value=ownerObject.getOwnerLastName(index);
				if (value.equalsIgnoreCase(entry))
				{
					System.out.println(index+") "+ownerObject.getOwnerFirstName(index)+" "+ownerObject.getOwnerLastName(index)+", "+ownerObject.getOwnerEmailAddress(index)+", "+ownerObject.getOwnerPhoneNumber(index));
				}
			case 3:
				value=ownerObject.getOwnerEmailAddress(index);
				if (value.equalsIgnoreCase(entry))
				{
					System.out.println(index+") "+ownerObject.getOwnerFirstName(index)+" "+ownerObject.getOwnerLastName(index)+", "+ownerObject.getOwnerEmailAddress(index)+", "+ownerObject.getOwnerPhoneNumber(index));
				}
			case 4:
				value=ownerObject.getOwnerPhoneNumber(index);
				if (value.equalsIgnoreCase(entry))
				{
					System.out.println(index+") "+ownerObject.getOwnerFirstName(index)+" "+ownerObject.getOwnerLastName(index)+", "+ownerObject.getOwnerEmailAddress(index)+", "+ownerObject.getOwnerPhoneNumber(index));
				}	
			default:
				break;
			}
		}
		System.out.println("---------------------------");
	}
	/**
     * Search vet entries
     * @param choice
     * @param entry
     */
    public static void SearchVets(int choice, String entry)
	{
		VetTech vetTechObject = new VetTech();
		Scanner keyboard = new Scanner(System.in);
		String value;
		
		System.out.println("\n---------------------------");
		for (int index=0; index<vetTechObject.getSizeVetTechFirstName(); index++)
		{		
			switch (choice)
			{
			case 0:
				break;	
			case 1:
				value=vetTechObject.getVetTechFirstName(index);
				if (value.equalsIgnoreCase(entry))
				{
					System.out.println("Vet Name:"+vetTechObject.getVetTechFirstName(index)+" "+vetTechObject.getVetTechLastName(index));
				}
				break;
			case 2:
				value=vetTechObject.getVetTechLastName(index);
				if (value.equalsIgnoreCase(entry))
				{
					System.out.println("Vet Name:"+vetTechObject.getVetTechFirstName(index)+" "+vetTechObject.getVetTechLastName(index));
				}
			default:
				break;
			}
		}
		System.out.println("---------------------------");
	}

}
